Crash: NullPointerException in NearbyFragment.checkLocationPermissionsToGoToUserLocation()
Closed, ResolvedPublic

Description

https://rink.hockeyapp.net/manage/apps/226650/app_versions/6/crash_reasons/70618773

1 android.animation.PropertyValuesHolder.setupSetterAndGetter PropertyValuesHolder.java, line 513
2 android.animation.ObjectAnimator.initAnimation ObjectAnimator.java, line 385
3 android.animation.ValueAnimator.setCurrentPlayTime ValueAnimator.java, line 537
4 android.animation.ValueAnimator.start ValueAnimator.java, line 927
5 android.animation.ValueAnimator.start ValueAnimator.java, line 950
6 android.animation.ObjectAnimator.start ObjectAnimator.java, line 363
7 com.mapbox.mapboxsdk.views.UserLocationView.setLocation UserLocationView.java, line 401
8 com.mapbox.mapboxsdk.views.UserLocationView.toggleGps UserLocationView.java, line 300
9 com.mapbox.mapboxsdk.views.UserLocationView.setEnabled UserLocationView.java, line 230
10 com.mapbox.mapboxsdk.views.MapView.setMyLocationEnabled MapView.java, line 3122
11 org.wikipedia.nearby.NearbyFragment.checkLocationPermissionsToGoToUserLocation NearbyFragment.java, line 210
12 org.wikipedia.nearby.NearbyFragment.onActivityCreated NearbyFragment.java, line 107
13 android.support.v4.app.Fragment.performActivityCreated Fragment.java, line 1970

Dbrant created this task.Dec 4 2015, 5:17 PM
Dbrant updated the task description. (Show Details)
Dbrant raised the priority of this task from to High.
Dbrant moved this task to Next Sprint on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 4 2015, 5:17 PM
Niedzielski set Security to None.

Change 257050 had a related patch set uploaded (by Niedzielski):
Workaround Mapbox View ProGuard rules

https://gerrit.wikimedia.org/r/257050

^^ Workaround fix. Real fix upstream[0]. I'm moving this issue to tracking until it's merged.

[0] https://github.com/mapbox/mapbox-gl-native/pull/3198

Change 257050 merged by jenkins-bot:
Workaround Mapbox View ProGuard rules

https://gerrit.wikimedia.org/r/257050

Checked with 2.1.135-alpha-2015-12-07 on Nexus 5 (Android 5.1.1)

Note: Probably unrelated - with Google settings-Location turned off, there is " An unknown error occured." message is displayed in Nearby.

https://github.com/mapbox/mapbox-gl-native/pull/3198

Upstream patch merged. Might ship in v2.4.0.

@Etonkovidova, I'm not sure. This might be a different issue.

Dbrant closed this task as Resolved.Jan 4 2016, 5:44 PM